Subject: Re: [BUG] "git pull" will regress between 'master' and 'pu'

From: Junio C Hamano <[email-masked]>
Date: Mon, 20 Apr 2015 12:28:55 -0700

Junio C Hamano <[email-masked]> writes:

> This is primarily note-to-self; even though I haven't got around
> bisecting yet, I think I know I did some bad change myself.
>
> "git pull $URL $tag" seems to:
>
>  * fail to invoke the editor without "--edit".
>  * show the summary merge log message twice.

We seem to be making a good progress on the discussion on this
specific issue, but a larger tangent of this is that we do not seem
to have test coverage to catch this regression.  As we are planning
to rewrite "git pull", we need to make sure we have enough test
coverage to ensure that nothing will regress before doing so.

Thanks.